# Uses of Interface
javax.sql.XAConnection

Packages that use XAConnection
Package
Description
javax.sql
Provides the API for server side data source access and processing from the Java programming language.

- ## Uses of XAConnection in javax.sql

  Methods in javax.sql that return XAConnection
  Modifier and Type
  Method
  Description
  `XAConnection`
  XAConnectionBuilder.`build()`
  Returns an instance of the object defined by this builder.
  `XAConnection`
  XADataSource.`getXAConnection()`
  Attempts to establish a physical database connection that can be used in a distributed transaction.
  `XAConnection`
  XADataSource.`getXAConnection(String user, String password)`
  Attempts to establish a physical database connection, using the given user name and password.